---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.9
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: cloud-credential-operator-78479968fc-vnsj9
      namespace: openshift-cloud-credential-operator
      resourceVersion: "9272"
      uid: ed9a4e3f-bf36-4c5a-801a-bb4657efb582
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:51Z"
    creationTimestamp: "2022-03-08T10:14:00Z"
    generateName: cco-metrics-
    generation: 2
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cco-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"8eb7d899-17b4-4dc9-8392-69ca8be516d9"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:51Z"
    name: cco-metrics-5gc9f
    namespace: openshift-cloud-credential-operator
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cco-metrics
      uid: 8eb7d899-17b4-4dc9-8392-69ca8be516d9
    resourceVersion: "9273"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cloud-credential-operator/endpointslices/cco-metrics-5gc9f
    uid: ddaed8e4-d2e6-4c44-a47a-881bc529d2f1
  ports:
  - name: metrics
    port: 8443
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "82512"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-cloud-credential-operator/endpointslices
